Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.event.rule
Interface RuleRuntimeEventManager

All Superinterfaces:
  WorkingMemoryEventManager

All Known Subinterfaces:
  KieRuntime, KieRuntimeEventManager, KieSession, StatelessKieSession

All Known Implementing Classes:
  org.drools.core.impl.AbstractRuntime, StatefulProcessSession

    public interface RuleRuntimeEventManager

extends WorkingMemoryEventManager

Method Summary
`void` | `addEventListener(AgendaEventListener listener)` Add an event listener.
`void` | `addEventListener(RuleRuntimeEventListener listener)` Add an event listener.
`Collection<AgendaEventListener>` | `getAgendaEventListeners()` Returns all event listeners.
`Collection<RuleRuntimeEventListener>` | `getRuleRuntimeEventListeners()` Returns all event listeners.
`void` | `removeEventListener(AgendaEventListener listener)` Remove an event listener.
`void` | `removeEventListener(RuleRuntimeEventListener listener)` Remove an event listener.

Methods inherited from interface org.kie.api.event.rule.WorkingMemoryEventManager
`addEventListener, getWorkingMemoryEventListeners, removeEventListener`

Method Detail

### addEventListener

    void addEventListener(RuleRuntimeEventListener listener)

  Add an event listener.

  Parameters:
    `listener` - The listener to add.

### removeEventListener

    void removeEventListener(RuleRuntimeEventListener listener)

  Remove an event listener.

  Parameters:
    `listener` - The listener to remove.

### getRuleRuntimeEventListeners

    Collection<RuleRuntimeEventListener> getRuleRuntimeEventListeners()

  Returns all event listeners.

  Returns:
    listeners The listeners.

### addEventListener

    void addEventListener(AgendaEventListener listener)

  Add an event listener.

  Specified by:
    `addEventListener` in interface `WorkingMemoryEventManager`
  Parameters:
    `listener` - The listener to add.

### removeEventListener

    void removeEventListener(AgendaEventListener listener)

  Remove an event listener.

  Specified by:
    `removeEventListener` in interface `WorkingMemoryEventManager`
  Parameters:
    `listener` - The listener to remove.

### getAgendaEventListeners

    Collection<AgendaEventListener> getAgendaEventListeners()

  Returns all event listeners.

  Specified by:
    `getAgendaEventListeners` in interface `WorkingMemoryEventManager`
  Returns:
    listeners The listeners.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.